// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from tuw_airskin_msgs:msg/AirskinInfo.idl
// generated code does not contain a copyright notice

#ifndef TUW_AIRSKIN_MSGS__MSG__DETAIL__AIRSKIN_INFO__STRUCT_H_
#define TUW_AIRSKIN_MSGS__MSG__DETAIL__AIRSKIN_INFO__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"
// Member 'ids'
// Member 'min'
// Member 'max'
#include "rosidl_runtime_c/primitives_sequence.h"
// Member 'names'
#include "rosidl_runtime_c/string.h"

/// Struct defined in msg/AirskinInfo in the package tuw_airskin_msgs.
/**
  * This expresses a set of AirSkin pad pressures
 */
typedef struct tuw_airskin_msgs__msg__AirskinInfo
{
  /// timestamp in the header is the acquisition time and frame
  std_msgs__msg__Header header;
  /// I2C ids of target AirSkin pads
  rosidl_runtime_c__uint8__Sequence ids;
  /// names and TF frames names of corresponding AirSkin pads
  rosidl_runtime_c__String__Sequence names;
  /// pressure min value
  rosidl_runtime_c__uint32__Sequence min;
  /// pressure max value
  rosidl_runtime_c__uint32__Sequence max;
} tuw_airskin_msgs__msg__AirskinInfo;

// Struct for a sequence of tuw_airskin_msgs__msg__AirskinInfo.
typedef struct tuw_airskin_msgs__msg__AirskinInfo__Sequence
{
  tuw_airskin_msgs__msg__AirskinInfo * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} tuw_airskin_msgs__msg__AirskinInfo__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // TUW_AIRSKIN_MSGS__MSG__DETAIL__AIRSKIN_INFO__STRUCT_H_
